std::basic_filebuf::overflow(3)

NAME
std::basic_filebuf::overflow - std::basic_filebuf::overflow

Synopsis
   protected:
   virtual int_type overflow ( int_type c = Traits::eof() );
   Writes some data from the put area to the associated character sequence (to the
   file).
   Behaves like the base class std::basic_streambuf::overflow, except that to write the
   data, first uses std::codecvt::out of the imbued locale to convert the characters
   into external (possibly multibyte) representation, stored in a temporary buffer
   (allocated as large as necessary), then uses file I/O to copy all fully-converted
   bytes into the file.
   If std::codecvt::always_noconv is true, the call to std::codecvt::out may be
   skipped.
   If the conversion fails with std::codecvt_base::error, returns Traits::eof() without
   attempting any output.
   If the associated file is not open (is_open() == false), returns Traits::eof()
   before doing anything.

Parameters
   (none)

Return value
   Traits::not_eof(c) to indicate success or Traits::eof() to indicate failure.

Example
    This section is incomplete
    Reason: no example

See also
   overflow writes characters to the associated output sequence from the put area
   [virtual] (virtual protected member function of std::basic_streambuf<CharT,Traits>)
   underflow reads from the associated file
   [virtual] (virtual protected member function)